xrdp-genkeymap(8)

NAME
xrdp-genkeymap - key map generator for XRDP

SYNTAX
xrdp-genkeymap file

DESCRIPTION
xrdp-genkeymap extracts the key map used by the currently running X session to generated a mapping from Remote Desktop Protocol (RDP) key codes to X keysyms and Unicode code points.

OPTIONS

outfile
    The key map information is stored in the file named outfile.

FILES

/etc/xrdp/km-XXXXXXXX.ini
    Files containing the keyboard mapping for language XXXXXXXX, which is a 8 digit hexadecimal number identifying the country and language code.

    00000405
        cs Czech

    00000407
        de German

    00000409
        en-us US English

    0000040c
        fr French

    00000410
        it Italian

    00000416
        br Portuguese (Brazil)

    00000419
        ru Russian

    0000041d
        se Swedish

    00000809
        en-uk UK English

AUTHORS
Jay Sorg <jsorg71@users.sourceforge.net>
Simone Fedele <ilsimo@users.sourceforge.net>

SEE ALSO
xrdp(8), setxkbmap(1), unicode(7)

Description of Keyboard Input mapping on the FreeRDP wiki (https://github.com/FreeRDP/FreeRDP/wiki/Keyboard)

For more info on xrdp see http://www.xrdp.org/